{% extends "references_manager/base.html" %}
{% load crispy_forms_tags %}

{% block title %}- Edit reference: {{ reference_instance.name }}{% endblock %}

{% block content %}

<div class="container col-12">
    <div class="container bg-white rounded shadow">
        <div class="form-group col-3">
            <form method="POST">
                <input type="hidden" name="next" value="{{ request.path }}">
                {% csrf_token %}
                <h2>Edit a reference "{{ reference_instance.name }}"</h2>
                {{ reference_form|crispy }}
                <button type="submit" class="btn btn-info"><span class="fa fa-floppy-o"></span> Save</button>
                <a href="{% url 'delete-reference' reference_instance.id %}" class="btn btn-outline-danger"
                       onclick="return confirm('You are going to delete {{ reference_instance.name }}. Are you sure?')">
                        <span class="fa fa-trash"></span> Delete
                </a>
            </form>
        </div>
    </div>
</div>
{% endblock content %}